version: "3"
services:
  piveau-hub-statistics:
    #image: dockerhub.fokus.fraunhofer.de:5000/piveau/piveau-hub-statistics
    image: piveau-hub-statistics
    ports:
      - 9090:9090
    environment:
      - HUB_MAIN_URL=https://data.europa.eu/api/hub/search/search
      - HUB_CATALOG_URI=filter=catalogue&limit=1000
      - HUB_DATASET_URI=q=&filter=dataset&facets='{"catalog"=[{0}]}'
      - FILE_UPLOAD_API=http://odp-ckan01.ppe-aws.europeandataportal.eu:8086
      - FILE_UPLOAD_AUTH=Bearer db916db8-8aeb-4915-a3b9-f6b264b5d983
      - DIST_API=http://odp-ckan01.ppe-aws.europeandataportal.eu:8080
      - DIST_API_AUTH=c419ee76-7002-11e9-a923-1681be663d3e
      - HUB_AUTH_REQUIRED=false
      - HUB_USER=odportal
      - HUB_PASSWORD=odp0rt4l$$12
      - DB_USER=stat
      - DB_PASSWORD=stats4edp
      - DB=statistics_db
      - DB_HOST=piveau-hub-statistics-postgres
      - DB_PORT=5442
      - DB_IN_DOCKER=true
      # - APISPEC_SWAGGER_URL=/swagger/
      # - APISPEC_SWAGGER_UI_URL=/swagger-ui/

    depends_on:
      - piveau-hub-statistics-postgres
    restart: always

  piveau-hub-statistics-postgres:
    image: postgres:latest
    volumes:
      - /tmp/pgdata/:/var/lib/postgresql
    ports:
      - 5442:5432
    command: postgres -c 'max_connections=250' -c 'shared_buffers=2GB'
    environment:
      - POSTGRES_USER=stat
      - POSTGRES_PASSWORD=stats4edp
      - POSTGRES_DB=statistics_db
      - POSTGRESQL_ADMIN_PASSWORD=stats4edp
    restart: always

